export declare const DEFAULT_LOCAL_STORAGE_DIR = "storage";
export declare const LEGACY_LOCAL_STORAGE_DIR = "apify_storage";
export declare const ACTOR_SPECIFICATION_VERSION = 1;
export declare const EMPTY_LOCAL_CONFIG: {
    actorSpecification: number;
    name: null;
    version: string;
    buildTag: string;
    environmentVariables: {};
};
export declare const LANGUAGE: {
    NODEJS: string;
    PYTHON: string;
    UNKNOWN: string;
};
export type Language = (typeof LANGUAGE)[keyof typeof LANGUAGE];
export declare const PROJECT_TYPES: {
    SCRAPY: string;
    CRAWLEE: string;
    PRE_CRAWLEE_APIFY_SDK: string;
    UNKNOWN: string;
};
export declare const COMMANDS_WITHIN_ACTOR: string[];
export declare const CHECK_VERSION_EVERY_MILLIS: number;
export declare const GLOBAL_CONFIGS_FOLDER: () => string;
export declare const AUTH_FILE_PATH: () => string;
export declare const SECRETS_FILE_PATH: () => string;
export declare const STATE_FILE_PATH: () => string;
export declare const TELEMETRY_FILE_PATH: () => string;
export declare const DEPRECATED_LOCAL_CONFIG_NAME = "apify.json";
export declare const ACTOR_SPECIFICATION_FOLDER = ".actor";
export declare const LOCAL_CONFIG_NAME = "actor.json";
export declare const LOCAL_CONFIG_PATH: string;
export declare const INPUT_FILE_REG_EXP: RegExp;
export declare const MAIN_FILE = "main.js";
export declare const SUPPORTED_NODEJS_VERSION: any;
export declare const CURRENT_APIFY_CLI_VERSION: any;
export declare const APIFY_CLIENT_DEFAULT_HEADERS: {
    'X-Apify-Request-Origin': "CLI";
};
export declare const MINIMUM_SUPPORTED_PYTHON_VERSION = "3.9.0";
export declare const PYTHON_VENV_PATH = ".venv";
export declare const MIXPANEL_TOKEN = "ea75e434d4b4d2405d79ed9d14bfc93b";
export declare enum CommandExitCodes {
    BuildFailed = 1,
    RunFailed = 1,
    BuildTimedOut = 2,
    BuildAborted = 3,
    RunAborted = 3,
    NoFilesToPush = 4,
    InvalidInput = 5,
    InvalidActorJson = 5
}
//# sourceMappingURL=consts.d.ts.map